/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Mar 17 2002
    copyright            : (C) 2002 by Michael Herder
    email                : crapsite@gmx.net
 ***************************************************************************/

/*******************************************************************************
 *                                                                             *
 * This file is part of the example program "plugintest", which demonstrates   *
 * the usage of the QuiteInsane-Plugin.                                        *
 * It may be used, distributed and modified without limitation.                *
 *                                                                             *
 *******************************************************************************/

#include <qapplication.h>
#include <qlibrary.h>
#include <qplatinumstyle.h>

#include "mainwindow.h"

//global QLibrary pointer
QLibrary* mpPluginLib=0;

int main(int argc, char **argv )
{
  QApplication a(argc,argv);
  QApplication::setStyle(new QPlatinumStyle);
  MainWindow* mw = new MainWindow(0);
  a.setMainWidget(mw);
  mw->show();
  int r = a.exec();
  //delete all widgets that use the plugin before the library
  delete mw;
  if(mpPluginLib)
    delete mpPluginLib;
  return r;
}
